
Figure - Bug #116090
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT】【设置】游戏模式设置里的GPU设置文言错误
2023-02-08 17:24 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2023-02-08

Priority: Normal Due date: 2023-02-14

Assignee: 物联网测试组_CDTS 段小刚 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0074.X101

Reproducibility: Every time Fixed Version: 2023-02-13

Test Type: IT Root cause: 修改内容：��1、弹窗文言和GPU设置相关的文言；��2、GPU设置，标准模式的功能完善；��3、切换模式参数时，添加弹窗的显示逻辑（settings和quicksetting），添加游戏启动时分辨率的控制逻辑。

Description

【前提条件】

None

【测试步骤】

1.打开 设置——游戏模式——GPU设置——标准模式

2.查看 标准模式的设置文言

【预期结果】

2.应为 “最大帧率”

【实际结果】

2.最大分辨率

【复现概率次数】2/2

History

#1 - 2023-02-08 17:33 - 物联网测试组_CDTS 段小刚

- Found Version changed from FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212310352 to

FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

#2 - 2023-02-08 17:33 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-程天颖

- Found Version changed from FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731 to

FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212310352

#3 - 2023-02-08 17:34 - CD FW-廖涛

- Found Version changed from FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212310352 to

FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

#4 - 2023-02-08 20:06 - CD FW 曹覃刚

- Due date set to 2023-02-14

- Status changed from New to ASSIGNED

#5 - 2023-02-08 20:31 - CD FW 曹覃刚

2025-07-04 1/3



- Assignee changed from CD FW-程天颖 to CD FW王武军

Hi 武军

这块功能与UE不同，需要按照UE修改，不仅仅需要修改文言。

请帮忙处理

#6 - 2023-02-11 15:19 - CD FW王武军

当前状态：

确认问题，明确需要修改的内容点。

修改内容：

1、弹窗文言和GPU设置相关的文言；

2、GPU设置，标准模式的功能完善；

3、切换模式参数时，添加弹窗的显示逻辑（settings和quicksetting），添加游戏启动时分辨率的控制逻辑。

#7 - 2023-02-11 15:59 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180776 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: adjust logic and text1.Adjust the text of confirm dialog in settings and systemui's quicksettings (in settings and systemui).2.Add logic to show

dialog when change the gpu's type value (in settings).3.Add logic to check gpu's type value to adjust the resolution (in framework/base and gamemode).TC-RID:

1201-0204803IssueID: TS-R-BUG-116090Change-Id: I3f70d57a4263495ba43fc7051aef99d6e2e93838

#8 - 2023-02-11 15:59 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180777 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: adjust logic and text1.Adjust the text of confirm dialog in settings and systemui's quicksettings.2.Add logic to show dialog when change the gpu's

type value.3.Add logic to check gpu's type value to adjust the resolution.TC-RID: 1201-0204803IssueID: TS-R-BUG-116090Change-Id:

I5a1b3ecd455d4636fdc5053ee0b73ee006466b42

#9 - 2023-02-11 15:59 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
180778 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: adjust logic and text1.Adjust the text of confirm dialog in settings and systemui's quicksettings.2.Add logic to show dialog when change the gpu's

type value.3.Add logic to check gpu's type value to adjust the resolution.TC-RID: 1201-0204803IssueID: TS-R-BUG-116090Change-Id:

Id0c5e3fa4d6c235617c4c8aae3a911d376360b44

#10 - 2023-02-11 16:01 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to 物联网测试组_CDTS 段小刚

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-02-13

- Root cause set to 修改内容：

1、弹窗文言和GPU设置相关的文言；

2、GPU设置，标准模式的功能完善；

3、切换模式参数时，添加弹窗的显示逻辑（settings和quicksetting），添加游戏启动时分辨率的控制逻辑。

#11 - 2023-02-13 14:34 - 物联网测试组_CDTS 段小刚

今日DB未出，无法验证

#12 - 2023-02-14 10:55 - 物联网测试组_CDTS 段小刚

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0074.X101

验证结果：其文言修改正确 且添加了弹窗确认逻辑

#13 - 2023-02-14 10:55 - 物联网测试组_CDTS 段小刚

- Status changed from RESOLVED to VERIFIED

#14 - 2023-02-14 10:55 - 物联网测试组_CDTS 段小刚

- Status changed from VERIFIED to CLOSED
